Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155633 - Function hugetlbfs_statfs of RHEL3 kernel returns incorrect block size on RHEL3U5Beta
Summary: Function hugetlbfs_statfs of RHEL3 kernel returns incorrect block size on RHE...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 02:07 UTC by Zhang Yanmin
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 19:16:57 UTC


Attachments (Terms of Use)
A patch to fix it (deleted)
2005-04-22 02:07 UTC, Zhang Yanmin
no flags Details

Description Zhang Yanmin 2005-04-22 02:07:49 UTC
Description of problem:
Function hugetlbfs_statfs of RHEL3 kernel set PAGE_CACHE_SZIE as the block 
size. It's incorrect. The right one is HPAGE_SIZE.

Version-Release number of selected component (if applicable):
RHEL3-U5-Beta Kernel, 2.4.21-31.EL

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Zhang Yanmin 2005-04-22 02:07:50 UTC
Created attachment 113506 [details]
A patch to fix it

Comment 2 Larry Woodman 2005-05-03 14:04:27 UTC
OK, patch looks and works correct.  Will queue this change up for RHEL3-U6 since
U5 is already frozen.

Larry Woodman


Comment 3 Ernie Petrides 2005-05-11 21:42:58 UTC
Hello, Zhang.  Could you please explain what problem occurs when
the block size for hugetlbfs is reported as PAGE_CACHE_SIZE?

Comment 4 Zhang Yanmin 2005-05-12 01:00:17 UTC
Currently, I can't find problems except it might mislead applications.

Comment 5 Larry Woodman 2005-07-13 19:16:57 UTC
Patch was rejected by Ret Hat engineering.

Larry Woodman



Note You need to log in before you can comment on or make changes to this bug.